Subject: conference in Mexico?

From: <[email-masked]>
Date: Sun, 03 Mar 1996 19:41:57 +0930

Hi,

A few days ago I read an anouncement about a computational chemistry
conference in Mexico city. I have looked on the Net but can't find
anything. Can somebody supply me with a Net site? the conference was
in mid-August.

Thanks Andy